Subject: bug#15987: 24.3; diary-add-to-list ignored by diary-mark-entries

From: Stephen Berman <[email-masked]>
Date: Sun, 01 Dec 2013 13:03:42 +0100

On Sat, 30 Nov 2013 19:25:11 -0600 "Roland Winkler" <[email-masked]> wrote:

> Well, it would be nice to have some mechanism to let the external
> source of diary entries define what should happen.  I mean, in the
> case of BBDB this is obvious: when pressing "d" this should then
> jump to the respective BBDB record.

It should be possible to do this by implementing a BBDB function for
diary-goto-entry-function; see todo-diary-goto-entry for an example.
(In fact, diary-goto-entry-function was added when the new version of
todo-mode.el was added to Emacs, precisely for this purpose; note,
however, that Todo files that are meant to contain diary entries must be
included in the diary by the usual #include mechanism.)

Steve Berman